<?php
/**
 * @file
 * Provides support for Views integration.
 */

/**
 * Implements hook_views_data_alter().
 *
 * Add Imagecache support to user picture
 */
function tweak_views_data_alter(&$data) {
  $data['users']['picture']['field']['handler'] = 'tweak_handler_field_user_picture_preset';
}

/**
 * Implements hook_views_handlers().
 *
 * Declare the "user picture with imagecache preset" field handler
 */
function tweak_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'tweak') .'/views',
    ),
    'handlers' => array(
      'tweak_handler_field_user_picture_preset' => array(
        'parent' => 'views_handler_field_user_picture',
      ),
    ),
  );
}

